com.google.cloud.dataflow.sdk.options

## Class PipelineOptionsValidator

- java.lang.Object
- - com.google.cloud.dataflow.sdk.options.PipelineOptionsValidator

    public class PipelineOptionsValidator
    extends Object

Validates that the `PipelineOptions` conforms to all the `Validation` criteria.

### Constructor Summary

Constructors
Constructor and Description
`PipelineOptionsValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends PipelineOptions> T` `validate(Class<T> klass, PipelineOptions options)` Validates that the passed `PipelineOptions` conforms to all the validation criteria from the passed in interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipelineOptionsValidator

    public PipelineOptionsValidator()

### Method Detail

#### validate

    public static <T extends PipelineOptions> T validate(Class<T> klass,
                                                         PipelineOptions options)

Validates that the passed `PipelineOptions` conforms to all the validation criteria from the passed in interface.

Note that the interface requested must conform to the validation criteria specified on `PipelineOptions.as(Class)`.

Parameters:
  `klass` - The interface to fetch validation criteria from.
  `options` - The `PipelineOptions` to validate.
Returns:
  The type